"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log_level_1 = require("./log-level");
const logger_1 = require("./logger");
const message = 'test message';
const emptyMessage = '';
const traceMessage = `[TRACE]-${message}`;
const debugMessage = `[DEBUG]-${message}`;
const informationMessage = `[INFORMATION]-${message}`;
const warningMessage = `[WARNING]-${message}`;
const errorMessage = `[ERROR]-${message}`;
const loggerDefault = new logger_1.Logger();
const loggerTrace = new logger_1.Logger(log_level_1.LogLevel.Trace);
const loggerDebug = new logger_1.Logger(log_level_1.LogLevel.Debug);
const loggerInformation = new logger_1.Logger(log_level_1.LogLevel.Information);
const loggerWarning = new logger_1.Logger(log_level_1.LogLevel.Warning);
const loggerError = new logger_1.Logger(log_level_1.LogLevel.Error);
const loggerOff = new logger_1.Logger(log_level_1.LogLevel.Off);
describe(`${logger_1.Logger.name}-default`, () => {
    test(`trace`, () => {
        const actual = loggerDefault.Trace(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`debug`, () => {
        const actual = loggerDefault.Debug(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`info`, () => {
        const actual = loggerDefault.Information(message);
        return expect(actual).toEqual(informationMessage);
    });
    test(`warn`, () => {
        const actual = loggerDefault.Warning(message);
        return expect(actual).toEqual(warningMessage);
    });
    test(`error`, () => {
        const actual = loggerDefault.Error(message);
        return expect(actual).toEqual(errorMessage);
    });
});
describe(`${logger_1.Logger.name}-${log_level_1.LogLevel[log_level_1.LogLevel.Trace]}`, () => {
    test(`trace`, () => {
        const actual = loggerTrace.Trace(message);
        return expect(actual).toEqual(traceMessage);
    });
    test(`debug`, () => {
        const actual = loggerTrace.Debug(message);
        return expect(actual).toEqual(debugMessage);
    });
    test(`info`, () => {
        const actual = loggerTrace.Information(message);
        return expect(actual).toEqual(informationMessage);
    });
    test(`warn`, () => {
        const actual = loggerTrace.Warning(message);
        return expect(actual).toEqual(warningMessage);
    });
    test(`error`, () => {
        const actual = loggerTrace.Error(message);
        return expect(actual).toEqual(errorMessage);
    });
});
describe(`${logger_1.Logger.name}-${log_level_1.LogLevel[log_level_1.LogLevel.Debug]}`, () => {
    test(`trace`, () => {
        const actual = loggerDebug.Trace(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`debug`, () => {
        const actual = loggerDebug.Debug(message);
        return expect(actual).toEqual(debugMessage);
    });
    test(`info`, () => {
        const actual = loggerDebug.Information(message);
        return expect(actual).toEqual(informationMessage);
    });
    test(`warn`, () => {
        const actual = loggerDebug.Warning(message);
        return expect(actual).toEqual(warningMessage);
    });
    test(`error`, () => {
        const actual = loggerDebug.Error(message);
        return expect(actual).toEqual(errorMessage);
    });
});
describe(`${logger_1.Logger.name}-${log_level_1.LogLevel[log_level_1.LogLevel.Information]}`, () => {
    test(`trace`, () => {
        const actual = loggerInformation.Trace(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`debug`, () => {
        const actual = loggerInformation.Debug(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`info`, () => {
        const actual = loggerInformation.Information(message);
        return expect(actual).toEqual(informationMessage);
    });
    test(`warn`, () => {
        const actual = loggerInformation.Warning(message);
        return expect(actual).toEqual(warningMessage);
    });
    test(`error`, () => {
        const actual = loggerInformation.Error(message);
        return expect(actual).toEqual(errorMessage);
    });
});
describe(`${logger_1.Logger.name}-${log_level_1.LogLevel[log_level_1.LogLevel.Warning]}`, () => {
    test(`trace`, () => {
        const actual = loggerWarning.Trace(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`debug`, () => {
        const actual = loggerWarning.Debug(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`info`, () => {
        const actual = loggerWarning.Information(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`warn`, () => {
        const actual = loggerWarning.Warning(message);
        return expect(actual).toEqual(warningMessage);
    });
    test(`error`, () => {
        const actual = loggerWarning.Error(message);
        return expect(actual).toEqual(errorMessage);
    });
});
describe(`${logger_1.Logger.name}-${log_level_1.LogLevel[log_level_1.LogLevel.Error]}`, () => {
    test(`trace`, () => {
        const actual = loggerError.Trace(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`debug`, () => {
        const actual = loggerError.Debug(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`info`, () => {
        const actual = loggerError.Information(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`warn`, () => {
        const actual = loggerError.Warning(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`error`, () => {
        const actual = loggerError.Error(message);
        return expect(actual).toEqual(errorMessage);
    });
});
describe(`${logger_1.Logger.name}-${log_level_1.LogLevel[log_level_1.LogLevel.Off]}`, () => {
    test(`trace`, () => {
        const actual = loggerOff.Trace(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`debug`, () => {
        const actual = loggerOff.Debug(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`info`, () => {
        const actual = loggerOff.Information(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`warn`, () => {
        const actual = loggerOff.Warning(message);
        return expect(actual).toEqual(emptyMessage);
    });
    test(`error`, () => {
        const actual = loggerOff.Error(message);
        return expect(actual).toEqual(emptyMessage);
    });
});
//# sourceMappingURL=logger.spec.js.map